#include "tricklib.h"

#if defined(__linux__) && !defined(__BORLANDC__)

int stricmp(const char *lhs, const char *rhs) {
  while ((*lhs != 0) || (*rhs != 0)) {
    int slhs = tolower(*lhs);
    int srhs = tolower(*rhs);
    if (slhs != srhs)
      return (slhs - srhs);
    ++lhs; ++rhs;
  }
  return 0;
}

#endif


#include "babel.cpp"
#include "ygg.cpp"
